import Vue from 'vue';
import App from './App';
import store from './store';
import router from './router';
import directive from './directive';

import './permission';
import './plugins';

Vue.use(directive);

Vue.config.productionTip = false;

// eslint-disable-next-line no-new
new Vue({
  el: '#app',
  router,
  store,
  render: (h) => h(App)
});
